QuoteList

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fenalco.entities
Class QuoteList

    java.lang.Object
      com.fenalco.entities.QuoteList

    public class QuoteList

extends java.lang.Object

Esta clase representa un listado de cotizaciones que puede ser solicitado por un minorista, un proveedor o el administrador del sistema.

Author:
  Néstor Romero León, Mario Linares Vásquez

Field Summary
`private java.util.Hashtable` | `quotes` Este `Hashtable` contiene una colección de objetos `Quote` que está construida de la siguiente forma: key:Identificador de la Cotización `quoteId` value:Objeto del tipo `Quote`

Constructor Summary
`QuoteList(int companyId, int roleId)` Constructor que crea el objeto con el listado de cotizaciones de acuerdo a los parámetros que recibe.

Method Summary
`java.util.Hashtable` | `getQuotes()` Consultor para el atributo quotes.
`boolean` | `loadData(int companyId, int roleId)` Este método realiza la carga de las cotizaciones desde la base de datos utilizando el método `query` de la clase `SQLUtilities`.
`void` | `setQuotes(java.util.Hashtable quotes)` Modificador para el atributo quotes.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### quotes

    private java.util.Hashtable quotes

  Este `Hashtable` contiene una colección de objetos `Quote` que está construida de la siguiente forma: key:Identificador de la Cotización `quoteId` value:Objeto del tipo `Quote`

Constructor Detail

### QuoteList

    public QuoteList(int companyId,
                     int roleId)

  Constructor que crea el objeto con el listado de cotizaciones de acuerdo a los parámetros que recibe. Sus parámetros corresponden al identificador de la empresa que solicita el listado y el rol del usuario. Hace un llamado al método `loadData(params)` para realizar la carga de la cotizaciones desde la base de datos.

  Parameters:
    `companyId` - Identificador de la empresa
    `roleId` - Identificador del rol del usuario

Method Detail

### loadData

    public boolean loadData(int companyId,
                            int roleId)

  Este método realiza la carga de las cotizaciones desde la base de datos utilizando el método `query` de la clase `SQLUtilities`. Utiliza como parámetros un identificador de la empresa y el rol del usuario

  Parameters:
    `companyId` - Identificador de la empresa
    `roleId` - Identificador del rol del usuario
  Returns:
    Valor booleano que indica si la operación tuvo éxito o no.

### getQuotes

    public java.util.Hashtable getQuotes()

  Consultor para el atributo quotes.

  Returns:
    Valor del atributo quotes.

### setQuotes

    public void setQuotes(java.util.Hashtable quotes)

  Modificador para el atributo quotes.

  Parameters:
    `quotes` - Nuevo valor para el atributo quotes.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD